/**
Theme Name: Astra Child
Author: The Web Tailors
Author URI: https://www.thewebtailors.net
Description: Customizations for BLUEngraving
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Template: astra
*/

@media (prefers-reduced-motion:reduce) {
	* {
		animation-duration:0s !important;
		transition-duration:0s !important;
	}
}

html {
	scroll-behavior: smooth;
}
body {
	--twt-small-spacer:25px;
	--twt-spacer:50px;
	--twt-large-spacer:75px;
	--twt-x-large-spacer:100px;
	--ast-global-color-0: #253872;
	--ast-global-color-1: #173590;
	--ast-global-color-2: #172348;
	--ast-global-color-3: #000000;
	--ast-global-color-4: #FFFFFF;
	--ast-global-color-5: #e3eaff;
	--ast-global-color-6: #afc1f9;
	--ast-global-color-7: #e4e4e4;
	--ast-global-color-8: #dcc737;
	--twt-h1-size:3rem;
	--twt-h2-size:2.2rem;
	--twt-h3-size:1.6rem;
	--twt-h4-size:1.3rem;
	--wp--preset--font-size--h-1:var(--twt-h1-size);
	--wp--preset--font-size--h-2:var(--twt-h2-size);
	--wp--preset--font-size--h-3:var(--twt-h3-size);
	--wp--preset--font-size--h-4:var(--twt-h4-size);
	--twt-h1-line-height:1.2;
	--twt-h2-line-height:1.3;
	--twt-h3-line-height:1.3;
	--twt-h4-line-height:1.2;
	--twt-font:Inter,sans-serif;
	--twt-headline-font:'DM Serif Display', serif;
}
@media (max-width:1024px) {
	body {
		--twt-small-spacer:20px;
		--twt-spacer:30px;
		--twt-large-spacer:50px;
		--twt-x-large-spacer:70px;
		--twt-h1-size:2.5rem;
		--twt-h2-size:2rem;
		--twt-h3-size:1.5rem;
		--twt-h4-size:1.2rem;
	}
}
@media (max-width:544px) {
	body {
		--twt-small-spacer:15px;
		--twt-spacer:25px;
		--twt-large-spacer:40px;
		--twt-x-large-spacer:55px;
		--twt-h1-size:2.5rem;
		--twt-h2-size:2rem;
		--twt-h3-size:1.5rem;
		--twt-h4-size:1.1rem;
	}
}
.site h1, .site .h1 {
	font:400 var(--twt-h1-size)/var(--twt-h1-line-height) 'DM Serif Display', serif;
}
.site h2, .site .h2 {
	font:400 var(--twt-h2-size)/var(--twt-h2-line-height) 'DM Serif Display', serif;
}
.site h3, .site .h3 {
	font:400 var(--twt-h3-size)/var(--twt-h3-line-height) 'DM Serif Display', serif;
}
.site h4, .site .h4 {
	font:400 var(--twt-h4-size)/var(--twt-h4-line-height) 'DM Serif Display', serif;
}
.has-h-1-font-size {
	line-height: var(--twt-h1-line-height) !important;
}
.has-h-2-font-size {
	line-height: var(--twt-h2-line-height) !important;
}
.has-h-3-font-size {
	line-height: var(--twt-h3-line-height) !important;
}
.has-h-4-font-size {
	line-height: var(--twt-h4-line-height) !important;
}
.site h1,
.site h2,
.site h3,
.site h4 {
	margin-top:1em;
	margin-bottom:1rem;
}
.site h1:first-child,
.site h2:first-child,
.site h3:first-child,
.site h2 + h3,
.site h4:first-child {
	margin-top:0;
}
a[href^="tel:"] {
	white-space:nowrap;
	text-decoration: none !important;
}
.ast-custom-button-link {
	text-decoration: none !important;
}
/*gutenberg*/
.widget_text > *:last-child,
.wp-block-uagb-container > *:last-child {
	margin-bottom: 0;
}
.entry-content > .wp-block-uagb-container.alignfull:not(.remove-default-padding),
.wp-block-group.alignfull.has-background,
.wp-block-cover.alignfull {
	padding-left:20px;
	padding-right:20px;
}
@media (max-width:544px) {
	#page .wp-block-columns .wp-block-column:not(:last-child) {
		margin-bottom:0;
	}
}
#page .wp-block-uagb-image--layout-overlay__inner .uagb-image-heading,
#page .wp-block-uagb-image--layout-overlay__inner .uagb-image-caption {
	transform:none
}

#page .margin-top-none {
	margin-top:0 !important;
}
#page .margin-bottom-none {
	margin-bottom:0 !important;
}
#page .margin-top-small {
	margin-top:var(--twt-small-spacer) !important;
}
#page .margin-bottom-small {
	margin-bottom:var(--twt-small-spacer) !important;
}
#page .margin-top-normal {
	margin-top:var(--twt-spacer) !important;
}
#page .margin-bottom-normal {
	margin-bottom:var(--twt-spacer) !important;
}
#page .margin-top-large {
	margin-top:var(--twt-large-spacer) !important;
}
#page .margin-bottom-large {
	margin-bottom:var(--twt-large-spacer) !important;
}
#page .margin-top-x-large {
	margin-top:var(--twt-x-large-spacer) !important;
}
#page .margin-bottom-x-large {
	margin-bottom:var(--twt-x-large-spacer) !important;
}
#page .padding-top-none {
	padding-top:0 !important;
}
#page .padding-bottom-none {
	padding-bottom:0 !important;
}
#page .padding-top-small {
	padding-top:var(--twt-small-spacer) !important;
}
#page .padding-bottom-small {
	padding-bottom:var(--twt-small-spacer) !important;
}
#page .padding-top-normal {
	padding-top:var(--twt-spacer) !important;
}
#page .padding-bottom-normal {
	padding-bottom:var(--twt-spacer) !important;
}
#page .padding-top-large {
	padding-top:var(--twt-large-spacer) !important;
}
#page .padding-bottom-large {
	padding-bottom:var(--twt-large-spacer) !important;
}
#page .padding-top-x-large {
	padding-top:var(--twt-x-large-spacer) !important;
}
#page .padding-bottom-x-large {
	padding-bottom:var(--twt-x-large-spacer) !important;
}

/*main*/
#content {
	margin-top:var(--twt-spacer);
	margin-bottom:var(--twt-spacer);
}
.entry-content > *.alignfull:first-child {
	margin-top:calc(0px - var(--twt-spacer));
}
.entry-content > *:last-child {
	margin-bottom:0;
}
.entry-content > *:not(.alignfull):last-child {
	padding-bottom:0;
}
.entry-content > *.alignfull:last-child {
	margin-bottom:calc(0px - var(--twt-spacer));
}
@supports (-webkit-touch-callout: inherit) {
	* {
		background-attachment:scroll !important;
	}
}
/*header*/
#ast-desktop-header .ast-above-header-wrap {
	position: relative;
	z-index:2;
}
#ast-desktop-header .ast-main-header-wrap {
	z-index:1;
}
#ast-desktop-header #ast-hf-menu-1 > li:last-child > a {
	padding-right:0 !important;
}
@media (max-width:1000px) {
	#ast-desktop-header #ast-hf-menu-1 > li > a {
		padding-left:12px;
		padding-right:12px;
	}
}
body:not(.ast-theme-transparent-header) .site-header {
	background:#253872;
}
/* mega menu */
#ast-hf-menu-1 > li.current-menu-item > a .menu-text {
	position:relative;
}
#ast-hf-menu-1 > li.current-menu-item > a .menu-text:after {
	position:absolute;
	bottom:-5px;
	left:0;
	right:0;
	content:'';
	display:block;
	height:2px;
	background:#e4e4e4;
}
.ast-primary-sticky-header-active #ast-hf-menu-1 > li.current-menu-item > a .menu-text:after {
	bottom:12px;
}
#page .menu-item-type-custom a:not(.ast-hide-menu-item) {
	display:flex;
	max-width:100%;
}
#page .astra-mm-icon-label {
	margin-bottom:0;
}
#page .astra-mm-icon-label > img {
	object-fit:contain;
}
#page .menu-item-type-custom a .menu-text {
	margin-top:10px;
}
#page .ast-mm-custom-text-content {
    margin-left:45px;
    font-size:.9em;
}
#ast-hf-mobile-menu .sub-menu {
	background:var(--ast-global-color-5);
	padding:10px 0 15px;
}
#ast-hf-mobile-menu .sub-menu > li:not(:last-child) {
	margin-bottom:10px;
}
#ast-hf-mobile-menu .sub-menu .sub-menu {
	display:grid !important;
	grid-template-columns:1fr 1fr;
	align-items:flex-start;
	padding:0 0 0 40px;
	gap:0 20px;
	line-height:1.5;
}
#ast-hf-mobile-menu .sub-menu .sub-menu a {
	border:0;
	padding:0;
}
#ast-hf-mobile-menu .sub-menu .sub-menu .ast-icon {
	display:none;
}
#ast-hf-mobile-menu .ast-mm-custom-text-content {
	margin-left:44px;
}
@media (max-width:500px) {
	#ast-hf-mobile-menu .sub-menu .sub-menu {
		grid-template-columns:1fr;
	}
}
/*mobile*/
#ast-mobile-header .site-logo-img {
	padding-right:0
}
#ast-mobile-header .custom-logo {
	max-width:100%;
}
#menu-toggle-close {
	border-radius:4px;
	height:3rem;
	width:3rem;
	display:flex;
	justify-content:center;
	align-items:center;
	padding:0;
	margin-right:5px;
}
#menu-toggle-close span {
	display:block;
	height:2rem;
}
#menu-toggle-close svg {
	width:2rem;
	height:2rem;
	fill:var(--ast-global-color-0);
}
#page .ast-menu-toggle {
	box-shadow:none;
}
#page .ast-menu-toggle svg {
	margin:0;
}
/* sticky header */
#ast-desktop-header .ast-header-sticked,
#ast-desktop-header .ast-header-sticked .site-primary-header-wrap {
	min-height:60px
}
#ast-desktop-header .ast-sticky-active .site-logo-img img {
	max-height:40px !important;
	margin-top:20px;
}
#page .ast-sticky-active #ast-hf-menu-1,
#page .ast-sticky-active .astra-full-megamenu-wrapper,
#page .ast-sticky-shrunk.main-header-bar {
	margin-top:0;
}
#page .ast-sticky-active .astra-full-megamenu-wrapper:before {
	height:4px;
}
#page .ast-sticky-active #ast-hf-menu-1 > li,
#page .ast-sticky-active #ast-hf-menu-1 > li > a {
	line-height:60px;
}
#ast-mobile-header .ast-sticky-active.ast-primary-header {
	min-height:40px;
}
#ast-mobile-header .ast-sticky-active .site-logo-img img {
	max-height:30px !important;
}
#ast-mobile-header .ast-sticky-active .menu-toggle {
	padding-top:0;
	padding-bottom:0;
}
#ast-mobile-header .ast-sticky-active .ast-mobile-svg {
	width:26px;
	height:26px;
}
/*footer*/
@media (max-width:980px) {
	#colophon .wp-block-social-links {
		justify-content:center;
	}
}
/*reviews*/
#page .wprev-no-slider {
	margin:-10px -10px 0;
}
#page .wprevpro_t6_outer_div {
	padding:0;
}
#page .wpproslider_t6_DIV_1a {
	margin:10px;
}
#page .indrevtxt {
	height:9em;
	overflow:auto;
}
@media (max-width:992px) {
	#wprev-slider-1 .wprevpro_t6_DIV_1:not(:first-child) {
		display:none;
	}
}
/*other*/
.add-black-text-shadow {
	text-shadow:0 0 1px #000, 0 0 .2em #000;
}
@supports (-webkit-touch-callout:none) {
	*, *:before {
		background-attachment:scroll !important;
	}
}